--[[
*
* Core.lua
* 
*
]]--

local Wipemate = LibStub("AceAddon-3.0"):NewAddon("Wipemate", "AceConsole-3.0")

local L = LibStub("AceLocale-3.0"):GetLocale("Wipemate")

local AceConfig 	= LibStub("AceConfig-3.0")
local AceConfigReg 	= LibStub("AceConfigRegistry-3.0")
local AceConfigDialog 	= LibStub("AceConfigDialog-3.0")

function Wipemate:OnInitialize()
	Wipemate:Print(L["Use /wm to show the Wipemate window."])
	Wipemate:RegisterChatCommand("rl", function() ReloadUI() end)
	Wipemate:RegisterChatCommand("wm", "ShowWM")
	self:SetupOptions()
	-- set DND for Addon Development
	BNSetDND(true)
	BNSetCustomMessage("TEST")
end

--[[
**************************
** CONFIG PANEL
**************************
]]--
local option

function fullOptions()
	if not options then
		options = {
			type = "group",
			name = "Wipemate",
			args = {
				general = {
					order	= 1,
					type	= "group",
					name	= L["Main Options"],
					desc	= L["MAIN_OPTIONS_DESC"],
					args = {
					
					}
				}
			}
		}
	end
	return options
end

function Wipemate:ShowWM()
end

function Wipemate:SetupOptions()
	AceConfigReg:RegisterOptionsTable("Wipemate", fullOptions)
	self.optionsFrame = AceConfigDialog:AddToBlizOptions("Wipemate", nil, nil, "general")

	if LibStub:GetLibrary("LibAboutPanel", true) then
		self.optionsFrame["About"] = LibStub:GetLibrary("LibAboutPanel").new("Wipemate", "Wipemate")
	else
		self:Print("Lib AboutPanel not loaded.")
	end
end

function Wipemate:RegisterModuleOptions(name, optionsTable, displayName)
	modularOptions[name] = optionsTable
	self.optionsFrame[name] = AceConfigDialog:AddToBlizOptions("Wipemate", displayName, "Wipemate", name)
end
